Bug 204157 - Tomcat in Java EE bundle is default on Win and Linux, not on Mac
Tomcat in Java EE bundle is default on Win and Linux, not on Mac
Status: VERIFIED FIXED
Product: installer
Classification: Unclassified
Component: Code
7.1
All All
: P2 (vote)
: 7.1
Assigned To: Ondrej Vrabec
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-24 13:00 UTC by Stepan Zebra
Modified: 2011-11-30 18:19 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stepan Zebra 2011-10-24 13:00:54 UTC
Current situation is:

"All" bundle have Tomcat disabled by default on all platforms.

"Java EE" bundle have Tomcat enabled by default on Windows and Linux platforms and disabled on Mac platform.


So whether it's supposed to be enabled or disabled in "Java EE" bundle, it should be made consistent.
Comment 1 Antonin Nebuzelsky 2011-10-25 11:20:38 UTC
> "All" bundle have Tomcat disabled by default on all platforms.

I assume this should be the case also for "Java EE" bundle.

PetrJ should confirm.
Comment 2 Petr Jiricka 2011-10-25 13:19:06 UTC
Correct, it should be consistent with the "All" distro.
Comment 3 Antonin Nebuzelsky 2011-10-26 11:22:34 UTC
Raising to P2 to not forget about this one.
Comment 4 Ondrej Vrabec 2011-11-09 13:03:29 UTC
fix: http://hg.netbeans.org/core-main/rev/908fa5454b55
Comment 5 Quality Engineering 2011-11-10 15:57:08 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/908fa5454b55
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #204157 - Tomcat in Java EE bundle is default on Win and Linux, not on Mac
tomcat should be by default disabled for all bundles
Comment 6 Stepan Zebra 2011-11-28 13:59:07 UTC
The fix was overwritten during installer update
http://hg.netbeans.org/main-silver/rev/5d60145eb1c3
which was transplanted into release71 branch
http://hg.netbeans.org/releases/rev/66ba6c5487f3
thus the fix is missing in 7.1 RC1 build 201111242103.

Fix was already re-applied in trunk
http://hg.netbeans.org/main-silver/rev/aa105d5c3935
and was verified there in the latest daily build.

Please integrate the fix into release71 branch.
Comment 7 Ondrej Vrabec 2011-11-28 14:04:12 UTC
release71 branch: http://hg.netbeans.org/releases/rev/09fbc45a6dea
Comment 8 Stepan Zebra 2011-11-30 18:19:41 UTC
verified in rc2 build 201111292200


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo